html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    min-height: 100%;
    width: 100%;
    font-family: monospace, monospace;
}

#text {
	height: calc(100% - 20px);
	width: 100%;
	background-color: black;
	color: white;
	overflow-y: auto;
	white-space: pre-wrap;
}

#text > span {
	/*display: inline-block;*/
	width: 100%;
	word-wrap: break-word;
}

#input {
	height: 20px;
	background-color: black;
	color: white;
	width: 100%;
	height: 100%;
}

#compass {
	position: absolute;
	bottom: 20px;
	right: 20px;
	z-index: 1;
}

#compass > div > button {
	color: white;
	margin: 5px;
	padding: 0px;
	font-size: 10px;
	background-color: rgb(0, 0, 255, 0.4);
	width: 40px;
	height: 40px;
	border-radius: 10px;
}

#openMenu {
	text-align: center;
	position: absolute;
	right: 27px;
	top: 15px;
	width: 45px;
}

#openMenu:hover {
	background-color: rgba(255, 255, 255, 0.2); 
}

.bar {
    width: 35px;
    height: 5px;
    background-color: rgba(255, 255, 255, 0.7);
    margin: 6px auto;
}

#menu {
	height: 100%; /* 100% Full-height */
	width: 0; /* 0 width - change this with JavaScript */
	position: fixed; /* Stay in place */
	z-index: 10; /* Stay on top */
	top: 0; /* Stay at the top */
	left: 0;
	background-color: #111; /* Black*/
	overflow-x: hidden; /* Disable horizontal scroll */
	padding-top: 60px; /* Place content 60px from the top */
	transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */
}

#menu a {
	padding: 8px 8px 8px 32px;
	text-decoration: none;
	font-size: 25px;
	color: #818181;
	display: block;
	transition: 0.3s;
}

#menu a:hover {
	color: #f1f1f1;
}

/* Position and style the close button (top right corner) */
#menu .closebtn {
	position: absolute;
	top: 0;
	right: 25px;
	font-size: 36px;
	margin-left: 50px;
}

#actionButtons {
	position: absolute;
	top: 20px;
	left: 20px;
	z-index: 1;
	width: 126px;
	height: 128px;
}

#actionButtons button {
	position: absolute;
	width: 40px;
	height: 40px;
	color: white;
	margin: 2px;
	padding: 0px;
	font-size: 10px;
	background-color: rgb(0, 0, 255, 0.4);
	border-radius: 10px;
}

#btn1 {
	left: 40px;
	top: 0;
}

#btn2 {
	top: 40px;
	left: 0;
}

#btn3 {
	right: 0;
	top: 40px;
}

#btn4 {
	bottom: 0;
	left: 40px;
}


/* ----------- iPhone 6+, 7+ and 8+ ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 414px) 
  and (max-device-width: 736px) 
  and (-webkit-min-device-pixel-ratio: 3) { 

}

/* Portrait */
@media only screen 
  and (min-device-width: 414px) 
  and (max-device-width: 736px) 
  and (-webkit-min-device-pixel-ratio: 3)
  and (orientation: portrait) { 

}

/* Landscape */
@media only screen 
  and (min-device-width: 414px) 
  and (max-device-width: 736px) 
  and (-webkit-min-device-pixel-ratio: 3)
  and (orientation: landscape) { 

}

/* ----------- iPhone X ----------- */

/* Portrait */
@media only screen 
  and (min-device-width: 320px) /* Setting min pixels based on smaller phones in chrome to see if this works universally */
  /*and (min-device-width: 375px) */
  /*and (min-device-height: 812px) { */
  and (min-device-height: 568px) { 

  	#text {
		font-size: 10px;
	}

	#input {
		font-size: 10px;
		height: 20px;
	}

  	#compass {
  		visibility: visible;
		bottom: 40px;
		right: 20px;
	}

	#actionButtons {
		visibility: visible;
	}

}

/* Landscape */
@media only screen 
/* Setting min pixels based on smaller phones in chrome to see if this works universally */
  and (min-device-height: 320px) 
  and (min-device-width: 568px) { 

  	#text {
		font-size: 15px;
	}

	#input {
		font-size: 15px;
		height: 20px;
	}

  	#compass {
  		visibility: visible;
		bottom: 40px;
		right: 20px;
	}

	#actionButtons {
		visibility: visible;
	}

}

/* Landscape */
@media only screen 
  and (min-device-height: 375px) 
  and (min-device-width: 812px) { 

}

/* ----------- iPad 3, 4 and Pro 9.7" ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* Portrait */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (orientation: portrait) 
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* Landscape */
@media only screen 
  and (min-device-width: 768px) 
  and (max-device-width: 1024px) 
  and (orientation: landscape) 
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* ----------- iPad Pro 10.5" ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 834px) 
  and (max-device-width: 1112px)
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* Portrait */
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen 
  and (min-device-width: 834px) 
  and (max-device-width: 834px) 
  and (orientation: portrait) 
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* Landscape */
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen 
  and (min-device-width: 1112px) 
  and (max-device-width: 1112px) 
  and (orientation: landscape) 
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* ----------- iPad Pro 12.9" ----------- */

/* Portrait and Landscape */
@media only screen 
  and (min-device-width: 1024px) 
  and (max-device-width: 1366px)
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* Portrait */
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen 
  and (min-device-width: 1024px) 
  and (max-device-width: 1024px) 
  and (orientation: portrait) 
  and (-webkit-min-device-pixel-ratio: 2) {

}

/* Landscape */
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen 
  and (min-device-width: 1366px) 
  and (max-device-width: 1366px) 
  and (orientation: landscape) 
  and (-webkit-min-device-pixel-ratio: 2) {

}

@media (min-width:1281px) {
	#compass, #actionButtons {
		visibility: hidden;
	}
}
